--- title: "Assign policy" slug: "management-subaccount-attachpolicytogroup" updated: 2026-09-17T10:05:32Z published: 2026-09-17T10:05:32Z canonical: "api.ncloud-docs.com/management-subaccount-attachpolicytogroup" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Assign policy Available in Classic and VPC Assign a policy to a group. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/groups/{groupId}/policies | ### Request headers For information about the headers common to all Sub Account APIs, see [Sub Account request headers](/docs/en/management-subaccount#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `groupId` | String | Required | Group ID - See [Get group list](/docs/en/management-subaccount-getgroups) | ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `policyIdList` | Array | Required | Policy ID - See [Get policy list](/docs/en/management-subaccount-getpolicies) | ### Request example The request example is as follows: ``` curl --location --request POST 'https://subaccount.apigw.ntruss.com/api/v1/groups/50b77400-****-****-****-246e96591a38/policies' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "policyIdList": [ "3fe20b30-****-****-****-246e96591594" ] }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `success` | Boolean | - | API call success status - `true` \| `false` - `true`: succeeded - `false`: failed | | `id` | String | - | Policy ID | | `name` | String | - | Action type | ### Response status codes For information about the HTTP status codes common to all Sub Account APIs, see [Sub Account status codes](/docs/en/management-subaccount#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` [ { "success": true, "id": "3fe20b30-****-****-****-246e96591594", "name": "addPolicy" } ] ```